(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    645459,      13008]
NotebookOptionsPosition[    644004,      12977]
NotebookOutlinePosition[    644435,      12994]
CellTagsIndexPosition[    644392,      12991]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8151268426415677`*^9, 3.8151268453442554`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"cfefd564-2c30-411d-bc5b-fe0aeb4fd85d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"arbol", "=", 
  RowBox[{"Graph", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "6"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "7"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "9"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "11"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "12"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "13"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"9", ",", "14"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"9", ",", "15"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"10", ",", "16"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"10", ",", "17"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"12", ",", "18"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"12", ",", "19"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"13", ",", "20"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"13", ",", "21"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"17", ",", "22"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"17", ",", "23"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"19", ",", "24"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"19", ",", "25"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"20", ",", "26"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"20", ",", "27"}], "}"}]}], "}"}], ",", 
    RowBox[{"VertexLabels", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<+\>\""}], ",", 
       RowBox[{"2", "\[Rule]", " ", "\"\<+\>\""}], ",", " ", 
       RowBox[{"3", "\[Rule]", "\"\<+\>\""}], ",", 
       RowBox[{"4", "\[Rule]", "\"\<-\>\""}], ",", 
       RowBox[{"5", "\[Rule]", "\"\<\[Divide]\>\""}], ",", 
       RowBox[{"6", "\[Rule]", "\"\<a\>\""}], ",", 
       RowBox[{"7", "\[Rule]", "\"\<-\>\""}], ",", 
       RowBox[{"8", "\[Rule]", "\"\<3\>\""}], ",", 
       RowBox[{"9", "\[Rule]", "\"\<*\>\""}], ",", 
       RowBox[{"10", "\[Rule]", "\"\<*\>\""}], ",", 
       RowBox[{"11", "\[Rule]", "\"\<g\>\""}], ",", 
       RowBox[{"12", "\[Rule]", "\"\<\[Divide]\>\""}], ",", 
       RowBox[{"13", "\[Rule]", "\"\<-\>\""}], ",", 
       RowBox[{"14", "\[Rule]", "\"\<2\>\""}], ",", 
       RowBox[{"15", "\[Rule]", "\"\<a\>\""}], ",", 
       RowBox[{"16", "\[Rule]", "\"\<c\>\""}], ",", 
       RowBox[{"17", "\[Rule]", "\"\<-\>\""}], ",", 
       RowBox[{"18", "\[Rule]", "\"\<b\>\""}], ",", 
       RowBox[{"19", "\[Rule]", "\"\<*\>\""}], ",", 
       RowBox[{"20", "\[Rule]", "\"\<*\>\""}], ",", 
       RowBox[{"21", "\[Rule]", "\"\<e\>\""}], ",", 
       RowBox[{"22", "\[Rule]", "\"\<f\>\""}], ",", 
       RowBox[{"23", "\[Rule]", "\"\<4\>\""}], ",", 
       RowBox[{"24", "\[Rule]", "\"\<2\>\""}], ",", 
       RowBox[{"25", "\[Rule]", "\"\<c\>\""}], ",", 
       RowBox[{"26", "\[Rule]", "\"\<3\>\""}], ",", 
       RowBox[{"27", "\[Rule]", "\"\<d\>\""}]}], "}"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringJoin", "[", 
  RowBox[{
   RowBox[{"Prefijo", "[", 
    RowBox[{"arbol", ",", "1"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[Rule]", "\"\<+\>\""}], ",", 
     RowBox[{"2", "\[Rule]", " ", "\"\<+\>\""}], ",", " ", 
     RowBox[{"3", "\[Rule]", "\"\<+\>\""}], ",", 
     RowBox[{"4", "\[Rule]", "\"\<-\>\""}], ",", 
     RowBox[{"5", "\[Rule]", "\"\<\[Divide]\>\""}], ",", 
     RowBox[{"6", "\[Rule]", "\"\<a\>\""}], ",", 
     RowBox[{"7", "\[Rule]", "\"\<-\>\""}], ",", 
     RowBox[{"8", "\[Rule]", "\"\<3\>\""}], ",", 
     RowBox[{"9", "\[Rule]", "\"\<*\>\""}], ",", 
     RowBox[{"10", "\[Rule]", "\"\<*\>\""}], ",", 
     RowBox[{"11", "\[Rule]", "\"\<g\>\""}], ",", 
     RowBox[{"12", "\[Rule]", "\"\<\[Divide]\>\""}], ",", 
     RowBox[{"13", "\[Rule]", "\"\<-\>\""}], ",", 
     RowBox[{"14", "\[Rule]", "\"\<2\>\""}], ",", 
     RowBox[{"15", "\[Rule]", "\"\<a\>\""}], ",", 
     RowBox[{"16", "\[Rule]", "\"\<c\>\""}], ",", 
     RowBox[{"17", "\[Rule]", "\"\<-\>\""}], ",", 
     RowBox[{"18", "\[Rule]", "\"\<b\>\""}], ",", 
     RowBox[{"19", "\[Rule]", "\"\<*\>\""}], ",", 
     RowBox[{"20", "\[Rule]", "\"\<*\>\""}], ",", 
     RowBox[{"21", "\[Rule]", "\"\<e\>\""}], ",", 
     RowBox[{"22", "\[Rule]", "\"\<f\>\""}], ",", 
     RowBox[{"23", "\[Rule]", "\"\<4\>\""}], ",", 
     RowBox[{"24", "\[Rule]", "\"\<2\>\""}], ",", 
     RowBox[{"25", "\[Rule]", "\"\<c\>\""}], ",", 
     RowBox[{"26", "\[Rule]", "\"\<3\>\""}], ",", 
     RowBox[{"27", "\[Rule]", "\"\<d\>\""}]}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"StringJoin", "[", 
  RowBox[{
   RowBox[{"Postfijo", "[", 
    RowBox[{"arbol", ",", "1"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[Rule]", "\"\<+\>\""}], ",", 
     RowBox[{"2", "\[Rule]", " ", "\"\<+\>\""}], ",", " ", 
     RowBox[{"3", "\[Rule]", "\"\<+\>\""}], ",", 
     RowBox[{"4", "\[Rule]", "\"\<-\>\""}], ",", 
     RowBox[{"5", "\[Rule]", "\"\<\[Divide]\>\""}], ",", 
     RowBox[{"6", "\[Rule]", "\"\<a\>\""}], ",", 
     RowBox[{"7", "\[Rule]", "\"\<-\>\""}], ",", 
     RowBox[{"8", "\[Rule]", "\"\<3\>\""}], ",", 
     RowBox[{"9", "\[Rule]", "\"\<*\>\""}], ",", 
     RowBox[{"10", "\[Rule]", "\"\<*\>\""}], ",", 
     RowBox[{"11", "\[Rule]", "\"\<g\>\""}], ",", 
     RowBox[{"12", "\[Rule]", "\"\<\[Divide]\>\""}], ",", 
     RowBox[{"13", "\[Rule]", "\"\<-\>\""}], ",", 
     RowBox[{"14", "\[Rule]", "\"\<2\>\""}], ",", 
     RowBox[{"15", "\[Rule]", "\"\<a\>\""}], ",", 
     RowBox[{"16", "\[Rule]", "\"\<c\>\""}], ",", 
     RowBox[{"17", "\[Rule]", "\"\<-\>\""}], ",", 
     RowBox[{"18", "\[Rule]", "\"\<b\>\""}], ",", 
     RowBox[{"19", "\[Rule]", "\"\<*\>\""}], ",", 
     RowBox[{"20", "\[Rule]", "\"\<*\>\""}], ",", 
     RowBox[{"21", "\[Rule]", "\"\<e\>\""}], ",", 
     RowBox[{"22", "\[Rule]", "\"\<f\>\""}], ",", 
     RowBox[{"23", "\[Rule]", "\"\<4\>\""}], ",", 
     RowBox[{"24", "\[Rule]", "\"\<2\>\""}], ",", 
     RowBox[{"25", "\[Rule]", "\"\<c\>\""}], ",", 
     RowBox[{"26", "\[Rule]", "\"\<3\>\""}], ",", 
     RowBox[{"27", "\[Rule]", "\"\<d\>\""}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.815223682735072*^9, 3.8152237024679527`*^9}, {
  3.815231728085127*^9, 3.8152317350884304`*^9}, {3.8152318112782345`*^9, 
  3.8152318152819104`*^9}, {3.8152333369685884`*^9, 3.8152333736668234`*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"563edcf2-7c7c-4cb0-9f96-dadeaeae265d"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19,
       20, 21, 22, 23, 24, 25, 26, 27}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 9}, {
       5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {10, 
       17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 23}, {19, 
       24}, {19, 25}, {20, 26}, {20, 27}}}, {
      VertexLabels -> {
        6 -> "a", 21 -> "e", 18 -> "b", 23 -> "4", 24 -> "2", 22 -> "f", 3 -> 
         "+", 20 -> "*", 11 -> "g", 27 -> "d", 5 -> "\[Divide]", 8 -> "3", 7 -> 
         "-", 14 -> "2", 10 -> "*", 25 -> "c", 9 -> "*", 4 -> "-", 26 -> "3", 
         17 -> "-", 16 -> "c", 12 -> "\[Divide]", 13 -> "-", 2 -> "+", 15 -> 
         "a", 1 -> "+", 19 -> "*"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{2.9439202887759492, 3.679900360969936}, 
          0.049778664255042834], 
         InsetBox["\<\"+\"\>", 
          Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.4719601443879746, 2.943920288775949}, 
          0.049778664255042834], 
         InsetBox["\<\"+\"\>", 
          Offset[{2, 2}, {1.5217388086430175, 2.9936989530309916}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.415880433163924, 2.943920288775949}, 
          0.049778664255042834], 
         InsetBox["\<\"+\"\>", 
          Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.36799003609699366, 2.2079402165819615}, 
          0.049778664255042834], 
         InsetBox["\<\"-\"\>", 
          Offset[{2, 2}, {0.4177687003520365, 2.2577188808370043}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5759302526789556, 2.2079402165819615}, 
          0.049778664255042834], 
         InsetBox["\<\"\[Divide]\"\>", 
          Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.04789039706693, 2.2079402165819615}, 
          0.049778664255042834], 
         InsetBox["\<\"a\"\>", 
          Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.7838704692609175, 2.2079402165819615}, 
          0.049778664255042834], 
         InsetBox["\<\"-\"\>", 
          Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 1.4719601443879742}, 0.049778664255042834], 
         InsetBox["\<\"3\"\>", 
          Offset[{2, 2}, {0.049778664255042834, 1.521738808643017}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7359800721939873, 1.4719601443879742}, 
          0.049778664255042834], 
         InsetBox["\<\"*\"\>", 
          Offset[{2, 2}, {0.7857587364490302, 1.521738808643017}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.207940216581962, 1.4719601443879742}, 
          0.049778664255042834], 
         InsetBox["\<\"*\"\>", 
          Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.9439202887759492, 1.4719601443879742}, 
          0.049778664255042834], 
         InsetBox["\<\"g\"\>", 
          Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.679900360969936, 1.4719601443879742}, 
          0.049778664255042834], 
         InsetBox["\<\"\[Divide]\"\>", 
          Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{5.8878405775518985, 1.4719601443879742}, 
          0.049778664255042834], 
         InsetBox["\<\"-\"\>", 
          Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.36799003609699366, 0.7359800721939869}, 
          0.049778664255042834], 
         InsetBox["\<\"2\"\>", 
          Offset[{2, 2}, {0.4177687003520365, 0.7857587364490297}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.103970108290981, 0.7359800721939869}, 
          0.049778664255042834], 
         InsetBox["\<\"a\"\>", 
          Offset[{2, 2}, {1.1537487725460238, 0.7857587364490297}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.839950180484968, 0.7359800721939869}, 
          0.049778664255042834], 
         InsetBox["\<\"c\"\>", 
          Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5759302526789556, 0.7359800721939869}, 
          0.049778664255042834], 
         InsetBox["\<\"-\"\>", 
          Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.3119103248729425, 0.7359800721939869}, 
          0.049778664255042834], 
         InsetBox["\<\"b\"\>", 
          Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.04789039706693, 0.7359800721939869}, 
          0.049778664255042834], 
         InsetBox["\<\"*\"\>", 
          Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{5.519850541454905, 0.7359800721939869}, 
          0.049778664255042834], 
         InsetBox["\<\"*\"\>", 
          Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{6.255830613648891, 0.7359800721939869}, 
          0.049778664255042834], 
         InsetBox["\<\"e\"\>", 
          Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
         InsetBox["\<\"f\"\>", 
          Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
         InsetBox["\<\"4\"\>", 
          Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
         InsetBox["\<\"2\"\>", 
          Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
         InsetBox["\<\"c\"\>", 
          Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
         InsetBox["\<\"3\"\>", 
          Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
         InsetBox["\<\"d\"\>", 
          Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None]], "Output",
 CellChangeTimes->{3.8152317359534016`*^9, 3.815231831253188*^9, 
  3.8152332824804153`*^9, 3.8152333441920347`*^9, 3.815233374488594*^9, 
  3.8152342153712435`*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"9bd6bb0e-f0a8-4413-a883-1b8bc2ef8e2b"],

Cell[BoxData["\<\"++-3*2a\[Divide]*c-f4g+a-\[Divide]b*2c-*3de\"\>"], "Output",
 CellChangeTimes->{3.8152317359534016`*^9, 3.815231831253188*^9, 
  3.8152332824804153`*^9, 3.8152333441920347`*^9, 3.815233374488594*^9, 
  3.815234215421112*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"e24210b6-3792-4ac6-bbd2-2a4a690d238b"],

Cell[BoxData["\<\"32a*-cf4-*g\[Divide]+ab2c*\[Divide]3d*e--++\"\>"], "Output",
 CellChangeTimes->{3.8152317359534016`*^9, 3.815231831253188*^9, 
  3.8152332824804153`*^9, 3.8152333441920347`*^9, 3.815233374488594*^9, 
  3.8152342154580207`*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"a2745bff-b3bc-474a-b1cd-354fed229da9"]
}, Open  ]],

Cell["Orden inicial:", "Text",
 CellChangeTimes->{{3.8151378430904517`*^9, 
  3.8151378549324846`*^9}},ExpressionUUID->"0985737c-2a19-4fba-9149-\
c38ea5c56305"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Orden", "=", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "2", ",", "4", ",", "8", ",", "9", ",", "14", ",", "15", ",", 
     "5", ",", "10", ",", "16", ",", "17", ",", "22", ",", "23", ",", "11", 
     ",", "3", ",", "6", ",", "7", ",", "12", ",", "18", ",", "19", ",", "24",
      ",", "25", ",", "13", ",", "20", ",", "26", ",", "27", ",", "21"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"HighlightGraph", "[", 
    RowBox[{"arbol", ",", 
     RowBox[{"Orden", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "vertex"}], "]"}], "]"}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
     RowBox[{"GraphHighlightStyle", "\[Rule]", "\"\<Thick\>\""}], ",", 
     RowBox[{"VertexSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"VertexShapeFunction", "\[Rule]", "\"\<Square\>\""}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", "\"\<+\>\""}], ",", 
        RowBox[{"2", "\[Rule]", " ", "\"\<+\>\""}], ",", " ", 
        RowBox[{"3", "\[Rule]", "\"\<+\>\""}], ",", 
        RowBox[{"4", "\[Rule]", "\"\<-\>\""}], ",", 
        RowBox[{"5", "\[Rule]", "\"\<\[Divide]\>\""}], ",", 
        RowBox[{"6", "\[Rule]", "\"\<a\>\""}], ",", 
        RowBox[{"7", "\[Rule]", "\"\<-\>\""}], ",", 
        RowBox[{"8", "\[Rule]", "\"\<3\>\""}], ",", 
        RowBox[{"9", "\[Rule]", "\"\<*\>\""}], ",", 
        RowBox[{"10", "\[Rule]", "\"\<*\>\""}], ",", 
        RowBox[{"11", "\[Rule]", "\"\<g\>\""}], ",", 
        RowBox[{"12", "\[Rule]", "\"\<\[Divide]\>\""}], ",", 
        RowBox[{"13", "\[Rule]", "\"\<-\>\""}], ",", 
        RowBox[{"14", "\[Rule]", "\"\<2\>\""}], ",", 
        RowBox[{"15", "\[Rule]", "\"\<a\>\""}], ",", 
        RowBox[{"16", "\[Rule]", "\"\<c\>\""}], ",", 
        RowBox[{"17", "\[Rule]", "\"\<-\>\""}], ",", 
        RowBox[{"18", "\[Rule]", "\"\<b\>\""}], ",", 
        RowBox[{"19", "\[Rule]", "\"\<*\>\""}], ",", 
        RowBox[{"20", "\[Rule]", "\"\<*\>\""}], ",", 
        RowBox[{"21", "\[Rule]", "\"\<e\>\""}], ",", 
        RowBox[{"22", "\[Rule]", "\"\<f\>\""}], ",", 
        RowBox[{"23", "\[Rule]", "\"\<4\>\""}], ",", 
        RowBox[{"24", "\[Rule]", "\"\<2\>\""}], ",", 
        RowBox[{"25", "\[Rule]", "\"\<c\>\""}], ",", 
        RowBox[{"26", "\[Rule]", "\"\<3\>\""}], ",", 
        RowBox[{"27", "\[Rule]", "\"\<d\>\""}]}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"vertex", ",", 
     RowBox[{"Length", "[", "Orden", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.8152245524353743`*^9, {3.8152246098561363`*^9, 3.8152246502312555`*^9}, 
   3.8152259428237047`*^9, 3.815226964109621*^9, 3.8152317955462246`*^9, {
   3.815233297454958*^9, 3.8152333173098946`*^9}, 3.815233352429234*^9},
 CellLabel->"In[20]:=",ExpressionUUID->"19133873-bc73-4590-af8d-4920a0208213"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {1}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 
         10, VertexLabels -> {
          23 -> "4", 19 -> "*", 26 -> "3", 9 -> "*", 22 -> "f", 17 -> "-", 14 -> 
           "2", 5 -> "\[Divide]", 6 -> "a", 24 -> "2", 13 -> "-", 16 -> "c", 
           4 -> "-", 15 -> "a", 21 -> "e", 12 -> "\[Divide]", 20 -> "*", 18 -> 
           "b", 8 -> "3", 7 -> "-", 1 -> "+", 10 -> "*", 2 -> "+", 3 -> "+", 
           27 -> "d", 11 -> "g", 25 -> "c"}, 
         VertexShapeFunction -> {1 -> "Square"}, 
         VertexSize -> {1 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.4719601443879746, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5217388086430175, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.36799003609699366, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4177687003520365, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.4719601443879742}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.049778664255042834, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7359800721939873, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.7857587364490302, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.36799003609699366, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4177687003520365, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.103970108290981, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1537487725460238, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.839950180484968, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {1, 2}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          23 -> "4", 19 -> "*", 26 -> "3", 9 -> "*", 22 -> "f", 17 -> "-", 14 -> 
           "2", 5 -> "\[Divide]", 6 -> "a", 24 -> "2", 13 -> "-", 16 -> "c", 
           4 -> "-", 15 -> "a", 21 -> "e", 12 -> "\[Divide]", 20 -> "*", 18 -> 
           "b", 8 -> "3", 7 -> "-", 1 -> "+", 10 -> "*", 2 -> "+", 3 -> "+", 
           27 -> "d", 11 -> "g", 25 -> "c"}, 
         VertexShapeFunction -> {2 -> "Square", 1 -> "Square"}, 
         VertexSize -> {1 -> Medium, 2 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.36799003609699366, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4177687003520365, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.4719601443879742}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.049778664255042834, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7359800721939873, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.7857587364490302, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.36799003609699366, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4177687003520365, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.103970108290981, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1537487725460238, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.839950180484968, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {1, 4, 2}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          23 -> "4", 19 -> "*", 26 -> "3", 9 -> "*", 22 -> "f", 17 -> "-", 14 -> 
           "2", 5 -> "\[Divide]", 6 -> "a", 24 -> "2", 13 -> "-", 16 -> "c", 
           4 -> "-", 15 -> "a", 21 -> "e", 12 -> "\[Divide]", 20 -> "*", 18 -> 
           "b", 8 -> "3", 7 -> "-", 1 -> "+", 10 -> "*", 2 -> "+", 3 -> "+", 
           27 -> "d", 11 -> "g", 25 -> "c"}, 
         VertexShapeFunction -> {2 -> "Square", 4 -> "Square", 1 -> "Square"},
          VertexSize -> {1 -> Medium, 4 -> Medium, 2 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.4719601443879742}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.049778664255042834, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7359800721939873, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.7857587364490302, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.36799003609699366, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4177687003520365, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.103970108290981, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1537487725460238, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.839950180484968, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {1, 4, 2, 8}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          23 -> "4", 19 -> "*", 26 -> "3", 9 -> "*", 22 -> "f", 17 -> "-", 14 -> 
           "2", 5 -> "\[Divide]", 6 -> "a", 24 -> "2", 13 -> "-", 16 -> "c", 
           4 -> "-", 15 -> "a", 21 -> "e", 12 -> "\[Divide]", 20 -> "*", 18 -> 
           "b", 8 -> "3", 7 -> "-", 1 -> "+", 10 -> "*", 2 -> "+", 3 -> "+", 
           27 -> "d", 11 -> "g", 25 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 4 -> "Square", 8 -> "Square", 1 -> "Square"}, 
         VertexSize -> {
          1 -> Medium, 4 -> Medium, 2 -> Medium, 8 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7359800721939873, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.7857587364490302, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.36799003609699366, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4177687003520365, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.103970108290981, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1537487725460238, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.839950180484968, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {8, 1, 4, 9, 2}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          8 -> "Square", 4 -> "Square", 2 -> "Square", 1 -> "Square", 9 -> 
           "Square"}, 
         VertexSize -> {
          2 -> Medium, 8 -> Medium, 1 -> Medium, 9 -> Medium, 4 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.36799003609699366, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4177687003520365, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.103970108290981, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1537487725460238, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.839950180484968, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {8, 14, 1, 4, 9, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          14 -> "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 1 -> 
           "Square", 9 -> "Square"}, 
         VertexSize -> {
          2 -> Medium, 14 -> Medium, 8 -> Medium, 1 -> Medium, 9 -> Medium, 4 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.103970108290981, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1537487725460238, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.839950180484968, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {8, 14, 1, 4, 9, 15, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          14 -> "Square", 15 -> "Square", 8 -> "Square", 4 -> "Square", 2 -> 
           "Square", 1 -> "Square", 9 -> "Square"}, 
         VertexSize -> {
          2 -> Medium, 15 -> Medium, 14 -> Medium, 8 -> Medium, 1 -> Medium, 
           9 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.839950180484968, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {8, 14, 1, 4, 9, 5, 15, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          14 -> "Square", 15 -> "Square", 8 -> "Square", 4 -> "Square", 2 -> 
           "Square", 1 -> "Square", 9 -> "Square", 5 -> "Square"}, 
         VertexSize -> {
          5 -> Medium, 2 -> Medium, 15 -> Medium, 14 -> Medium, 8 -> Medium, 
           1 -> Medium, 9 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, 
             {1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.839950180484968, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", Offset[{2, 2}, 
            {4.465659097418967, 0.049778664255042834}], ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {8, 14, 1, 4, 9, 10, 5, 15, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 1 -> "Square", 9 -> "Square", 5 -> 
           "Square"}, 
         VertexSize -> {
          5 -> Medium, 2 -> Medium, 15 -> Medium, 14 -> Medium, 10 -> Medium, 
           8 -> Medium, 1 -> Medium, 9 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.839950180484968, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 8, 14, 1, 4, 9, 10, 5, 15, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 1 -> "Square", 9 -> "Square", 16 -> 
           "Square", 5 -> "Square"}, 
         VertexSize -> {
          5 -> Medium, 2 -> Medium, 16 -> Medium, 15 -> Medium, 14 -> Medium, 
           10 -> Medium, 8 -> Medium, 1 -> Medium, 9 -> Medium, 4 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 8, 14, 1, 4, 9, 10, 5, 15, 17, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 8 -> 
           "Square", 4 -> "Square", 2 -> "Square", 1 -> "Square", 9 -> 
           "Square", 16 -> "Square", 5 -> "Square"}, 
         VertexSize -> {
          5 -> Medium, 2 -> Medium, 16 -> Medium, 15 -> Medium, 14 -> Medium, 
           10 -> Medium, 8 -> Medium, 1 -> Medium, 9 -> Medium, 17 -> Medium, 
           4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 8, 22, 14, 1, 4, 9, 10, 5, 15, 17, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 8 -> 
           "Square", 4 -> "Square", 2 -> "Square", 1 -> "Square", 9 -> 
           "Square", 22 -> "Square", 16 -> "Square", 5 -> "Square"}, 
         VertexSize -> {
          5 -> Medium, 2 -> Medium, 16 -> Medium, 15 -> Medium, 14 -> Medium, 
           10 -> Medium, 8 -> Medium, 22 -> Medium, 1 -> Medium, 9 -> Medium, 
           17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 8, 23, 22, 14, 1, 4, 9, 10, 5, 15, 17, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 8 -> 
           "Square", 4 -> "Square", 2 -> "Square", 1 -> "Square", 9 -> 
           "Square", 23 -> "Square", 22 -> "Square", 16 -> "Square", 5 -> 
           "Square"}, 
         VertexSize -> {
          5 -> Medium, 2 -> Medium, 16 -> Medium, 15 -> Medium, 23 -> Medium, 
           14 -> Medium, 10 -> Medium, 8 -> Medium, 22 -> Medium, 1 -> Medium,
            9 -> Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 11, 8, 23, 22, 14, 1, 4, 9, 10, 5, 15, 17, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 1 -> 
           "Square", 9 -> "Square", 23 -> "Square", 22 -> "Square", 16 -> 
           "Square", 5 -> "Square"}, 
         VertexSize -> {
          5 -> Medium, 2 -> Medium, 16 -> Medium, 15 -> Medium, 11 -> Medium, 
           23 -> Medium, 14 -> Medium, 10 -> Medium, 8 -> Medium, 22 -> 
           Medium, 1 -> Medium, 9 -> Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 11, 8, 23, 22, 14, 1, 4, 9, 10, 5, 15, 17, 3, 
          2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 8 -> "Square", 4 -> "Square", 2 -> 
           "Square", 1 -> "Square", 9 -> "Square", 23 -> "Square", 22 -> 
           "Square", 16 -> "Square", 5 -> "Square"}, 
         VertexSize -> {
          3 -> Medium, 5 -> Medium, 2 -> Medium, 16 -> Medium, 15 -> Medium, 
           11 -> Medium, 23 -> Medium, 14 -> Medium, 10 -> Medium, 8 -> 
           Medium, 22 -> Medium, 1 -> Medium, 9 -> Medium, 17 -> Medium, 4 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 14, 1, 4, 9, 10, 5, 15, 17, 
          3, 2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 8 -> "Square", 4 -> "Square", 2 -> 
           "Square", 6 -> "Square", 1 -> "Square", 9 -> "Square", 23 -> 
           "Square", 22 -> "Square", 16 -> "Square", 5 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 3 -> Medium, 5 -> Medium, 2 -> Medium, 16 -> Medium, 
           15 -> Medium, 11 -> Medium, 23 -> Medium, 14 -> Medium, 10 -> 
           Medium, 8 -> Medium, 22 -> Medium, 1 -> Medium, 9 -> Medium, 17 -> 
           Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 7, 14, 1, 4, 9, 10, 5, 15, 
          17, 3, 2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 6 -> "Square", 1 -> "Square", 9 -> 
           "Square", 23 -> "Square", 22 -> "Square", 16 -> "Square", 5 -> 
           "Square"}, 
         VertexSize -> {
          6 -> Medium, 3 -> Medium, 5 -> Medium, 2 -> Medium, 16 -> Medium, 
           15 -> Medium, 7 -> Medium, 11 -> Medium, 23 -> Medium, 14 -> 
           Medium, 10 -> Medium, 8 -> Medium, 22 -> Medium, 1 -> Medium, 9 -> 
           Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.718931046796859, 2.1430007941179032}, \
{4.848809891724976, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.857468476480316, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 7, 14, 1, 4, 9, 10, 5, 15, 
          17, 12, 3, 2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10,
          VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 6 -> "Square", 1 -> "Square", 12 -> 
           "Square", 9 -> "Square", 23 -> "Square", 22 -> "Square", 16 -> 
           "Square", 5 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 3 -> Medium, 5 -> Medium, 2 -> Medium, 
           16 -> Medium, 15 -> Medium, 7 -> Medium, 11 -> Medium, 23 -> 
           Medium, 14 -> Medium, 10 -> Medium, 8 -> Medium, 22 -> Medium, 1 -> 
           Medium, 9 -> Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.718931046796859, 2.1430007941179032}, \
{4.848809891724976, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.857468476480316, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 7, 14, 1, 4, 9, 10, 5, 15, 
          17, 12, 3, 18, 2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 
         10, VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 6 -> "Square", 18 -> "Square", 1 -> 
           "Square", 12 -> "Square", 9 -> "Square", 23 -> "Square", 22 -> 
           "Square", 16 -> "Square", 5 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 3 -> Medium, 5 -> Medium, 
           2 -> Medium, 16 -> Medium, 15 -> Medium, 7 -> Medium, 11 -> Medium,
            23 -> Medium, 14 -> Medium, 10 -> Medium, 8 -> Medium, 22 -> 
           Medium, 1 -> Medium, 9 -> Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.718931046796859, 2.1430007941179032}, \
{4.848809891724976, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.857468476480316, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 7, 14, 1, 4, 9, 10, 5, 19, 
          15, 17, 12, 3, 18, 2}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 6 -> "Square", 19 -> "Square", 18 -> 
           "Square", 1 -> "Square", 12 -> "Square", 9 -> "Square", 23 -> 
           "Square", 22 -> "Square", 16 -> "Square", 5 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 3 -> Medium, 5 -> Medium, 
           2 -> Medium, 16 -> Medium, 15 -> Medium, 7 -> Medium, 11 -> Medium,
            23 -> Medium, 14 -> Medium, 10 -> Medium, 8 -> Medium, 19 -> 
           Medium, 22 -> Medium, 1 -> Medium, 9 -> Medium, 17 -> Medium, 4 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.718931046796859, 2.1430007941179032}, \
{4.848809891724976, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.857468476480316, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, 
             {4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 7, 14, 1, 4, 9, 10, 5, 19, 
          15, 17, 12, 24, 3, 18, 2}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 6 -> "Square", 19 -> "Square", 18 -> 
           "Square", 1 -> "Square", 12 -> "Square", 9 -> "Square", 23 -> 
           "Square", 24 -> "Square", 22 -> "Square", 16 -> "Square", 5 -> 
           "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 3 -> Medium, 5 -> Medium, 
           2 -> Medium, 16 -> Medium, 15 -> Medium, 7 -> Medium, 11 -> Medium,
            23 -> Medium, 14 -> Medium, 24 -> Medium, 10 -> Medium, 8 -> 
           Medium, 19 -> Medium, 22 -> Medium, 1 -> Medium, 9 -> Medium, 17 -> 
           Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.718931046796859, 2.1430007941179032}, \
{4.848809891724976, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.857468476480316, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 7, 14, 1, 4, 9, 25, 10, 5, 
          19, 15, 17, 12, 24, 3, 18, 2}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 6 -> "Square", 19 -> "Square", 18 -> 
           "Square", 1 -> "Square", 12 -> "Square", 9 -> "Square", 23 -> 
           "Square", 24 -> "Square", 22 -> "Square", 16 -> "Square", 5 -> 
           "Square", 25 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 3 -> Medium, 5 -> Medium, 
           25 -> Medium, 2 -> Medium, 16 -> Medium, 15 -> Medium, 7 -> Medium,
            11 -> Medium, 23 -> Medium, 14 -> Medium, 24 -> Medium, 10 -> 
           Medium, 8 -> Medium, 19 -> Medium, 22 -> Medium, 1 -> Medium, 9 -> 
           Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.718931046796859, 2.1430007941179032}, \
{4.848809891724976, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.857468476480316, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, 
             {2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 13, 11, 8, 23, 22, 7, 14, 1, 4, 9, 25, 10, 
          5, 19, 15, 17, 12, 24, 3, 18, 2}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 6 -> "Square", 19 -> "Square", 18 -> 
           "Square", 1 -> "Square", 12 -> "Square", 9 -> "Square", 13 -> 
           "Square", 23 -> "Square", 24 -> "Square", 22 -> "Square", 16 -> 
           "Square", 5 -> "Square", 25 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 3 -> Medium, 5 -> Medium, 
           25 -> Medium, 2 -> Medium, 16 -> Medium, 15 -> Medium, 7 -> Medium,
            11 -> Medium, 23 -> Medium, 14 -> Medium, 24 -> Medium, 10 -> 
           Medium, 8 -> Medium, 19 -> Medium, 22 -> Medium, 1 -> Medium, 9 -> 
           Medium, 17 -> Medium, 13 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, {3.0088597112400075, 3.7448397834339944}]
             }, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.718931046796859, 2.1430007941179032}, \
{4.848809891724976, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.857468476480316, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, 1.4070207219239161}, \
{5.952780000015957, 1.5368995668520322}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.961438584771297, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, 
             {3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 13, 11, 8, 23, 22, 7, 20, 14, 1, 4, 9, 25, 
          10, 5, 19, 15, 17, 12, 24, 3, 18, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 20 -> "Square", 6 -> "Square", 19 -> 
           "Square", 18 -> "Square", 1 -> "Square", 12 -> "Square", 9 -> 
           "Square", 13 -> "Square", 23 -> "Square", 24 -> "Square", 22 -> 
           "Square", 16 -> "Square", 5 -> "Square", 25 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 3 -> Medium, 5 -> Medium, 
           25 -> Medium, 2 -> Medium, 20 -> Medium, 16 -> Medium, 15 -> 
           Medium, 7 -> Medium, 11 -> Medium, 23 -> Medium, 14 -> Medium, 24 -> 
           Medium, 10 -> Medium, 8 -> Medium, 19 -> Medium, 22 -> Medium, 1 -> 
           Medium, 9 -> Medium, 17 -> Medium, 13 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.718931046796859, 2.1430007941179032}, \
{4.848809891724976, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.857468476480316, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{5.82290115508784, 1.4070207219239161}, \
{5.952780000015957, 1.5368995668520322}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.961438584771297, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.454911118990847, 0.6710406497299288}, \
{5.584789963918963, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.593448548674304, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 13, 11, 8, 23, 22, 7, 20, 14, 1, 26, 4, 9, 
          25, 10, 5, 19, 15, 17, 12, 24, 3, 18, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 20 -> "Square", 6 -> "Square", 19 -> 
           "Square", 18 -> "Square", 1 -> "Square", 12 -> "Square", 9 -> 
           "Square", 13 -> "Square", 23 -> "Square", 24 -> "Square", 26 -> 
           "Square", 22 -> "Square", 16 -> "Square", 5 -> "Square", 25 -> 
           "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 3 -> Medium, 5 -> Medium, 
           25 -> Medium, 2 -> Medium, 20 -> Medium, 16 -> Medium, 15 -> 
           Medium, 7 -> Medium, 11 -> Medium, 23 -> Medium, 14 -> Medium, 24 -> 
           Medium, 26 -> Medium, 10 -> Medium, 8 -> Medium, 19 -> Medium, 22 -> 
           Medium, 1 -> Medium, 9 -> Medium, 17 -> Medium, 13 -> Medium, 4 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.718931046796859, 2.1430007941179032}, \
{4.848809891724976, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.857468476480316, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{5.82290115508784, 1.4070207219239161}, \
{5.952780000015957, 1.5368995668520322}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.961438584771297, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.454911118990847, 0.6710406497299288}, \
{5.584789963918963, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.593448548674304, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.086921082893853, -0.06493942246405805}, \
{5.216799927821969, 0.06493942246405805}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.22545851257731, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 13, 11, 8, 23, 22, 7, 20, 14, 1, 26, 4, 9, 
          25, 10, 5, 19, 15, 17, 12, 24, 27, 3, 18, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 27 -> "Square", 20 -> "Square", 6 -> 
           "Square", 19 -> "Square", 18 -> "Square", 1 -> "Square", 12 -> 
           "Square", 9 -> "Square", 13 -> "Square", 23 -> "Square", 24 -> 
           "Square", 26 -> "Square", 22 -> "Square", 16 -> "Square", 5 -> 
           "Square", 25 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 3 -> Medium, 5 -> Medium, 
           25 -> Medium, 2 -> Medium, 20 -> Medium, 16 -> Medium, 15 -> 
           Medium, 7 -> Medium, 11 -> Medium, 23 -> Medium, 14 -> Medium, 24 -> 
           Medium, 26 -> Medium, 10 -> Medium, 8 -> Medium, 19 -> Medium, 27 -> 
           Medium, 22 -> Medium, 1 -> Medium, 9 -> Medium, 17 -> Medium, 13 -> 
           Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.718931046796859, 2.1430007941179032}, \
{4.848809891724976, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.857468476480316, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, 1.4070207219239161}, \
{5.952780000015957, 1.5368995668520322}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.961438584771297, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, 
             {3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.454911118990847, 0.6710406497299288}, \
{5.584789963918963, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.593448548674304, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, 
             {3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.086921082893853, -0.06493942246405805}, \
{5.216799927821969, 0.06493942246405805}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.22545851257731, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, -0.06493942246405805}, \
{5.952780000015957, 0.06493942246405805}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.961438584771297, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 13, 11, 21, 8, 23, 22, 7, 20, 14, 1, 26, 4, 
          9, 25, 10, 5, 19, 15, 17, 12, 24, 27, 3, 18, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 27 -> "Square", 20 -> "Square", 6 -> 
           "Square", 19 -> "Square", 18 -> "Square", 1 -> "Square", 12 -> 
           "Square", 9 -> "Square", 13 -> "Square", 23 -> "Square", 21 -> 
           "Square", 24 -> "Square", 26 -> "Square", 22 -> "Square", 16 -> 
           "Square", 5 -> "Square", 25 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 3 -> Medium, 5 -> Medium, 
           25 -> Medium, 2 -> Medium, 20 -> Medium, 16 -> Medium, 15 -> 
           Medium, 7 -> Medium, 11 -> Medium, 23 -> Medium, 14 -> Medium, 24 -> 
           Medium, 26 -> Medium, 10 -> Medium, 8 -> Medium, 21 -> Medium, 19 -> 
           Medium, 27 -> Medium, 22 -> Medium, 1 -> Medium, 9 -> Medium, 17 -> 
           Medium, 13 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.718931046796859, 2.1430007941179032}, \
{4.848809891724976, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.857468476480316, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, 1.4070207219239161}, \
{5.952780000015957, 1.5368995668520322}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.961438584771297, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.454911118990847, 0.6710406497299288}, \
{5.584789963918963, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.593448548674304, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{6.190891191184833, 0.6710406497299288}, \
{6.3207700361129495, 0.8009194946580449}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.32942862086829, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, 
             {3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.086921082893853, -0.06493942246405805}, \
{5.216799927821969, 0.06493942246405805}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.22545851257731, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, -0.06493942246405805}, \
{5.952780000015957, 0.06493942246405805}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.961438584771297, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{3.815233382036839*^9, 3.8152342297882175`*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"90e6e5ff-37a6-447a-97fb-e6e4c58c96c2"]
}, Open  ]],

Cell["Orden final:", "Text",
 CellChangeTimes->{{3.8151378430904517`*^9, 3.8151378549324846`*^9}, {
  3.815224518944827*^9, 
  3.815224519676916*^9}},ExpressionUUID->"809fa507-0d7a-437d-9e9e-\
03e034a5d0d7"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Orden", "=", 
   RowBox[{"{", 
    RowBox[{
    "8", ",", "14", ",", "15", ",", "9", ",", "4", ",", "16", ",", "22", ",", 
     "23", ",", "17", ",", "10", ",", "11", ",", "5", ",", "2", ",", "6", ",",
      "18", ",", "24", ",", "25", ",", "19", ",", "12", ",", "26", ",", "27", 
     ",", "20", ",", "21", ",", "13", ",", "7", ",", "3", ",", "1"}], "}"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"HighlightGraph", "[", 
    RowBox[{"arbol", ",", 
     RowBox[{"Orden", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "vertex"}], "]"}], "]"}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
     RowBox[{"GraphHighlightStyle", "\[Rule]", "\"\<Thick\>\""}], ",", 
     RowBox[{"VertexSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"VertexShapeFunction", "\[Rule]", "\"\<Square\>\""}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", "\"\<+\>\""}], ",", 
        RowBox[{"2", "\[Rule]", " ", "\"\<+\>\""}], ",", " ", 
        RowBox[{"3", "\[Rule]", "\"\<+\>\""}], ",", 
        RowBox[{"4", "\[Rule]", "\"\<-\>\""}], ",", 
        RowBox[{"5", "\[Rule]", "\"\<\[Divide]\>\""}], ",", 
        RowBox[{"6", "\[Rule]", "\"\<a\>\""}], ",", 
        RowBox[{"7", "\[Rule]", "\"\<-\>\""}], ",", 
        RowBox[{"8", "\[Rule]", "\"\<3\>\""}], ",", 
        RowBox[{"9", "\[Rule]", "\"\<*\>\""}], ",", 
        RowBox[{"10", "\[Rule]", "\"\<*\>\""}], ",", 
        RowBox[{"11", "\[Rule]", "\"\<g\>\""}], ",", 
        RowBox[{"12", "\[Rule]", "\"\<\[Divide]\>\""}], ",", 
        RowBox[{"13", "\[Rule]", "\"\<-\>\""}], ",", 
        RowBox[{"14", "\[Rule]", "\"\<2\>\""}], ",", 
        RowBox[{"15", "\[Rule]", "\"\<a\>\""}], ",", 
        RowBox[{"16", "\[Rule]", "\"\<c\>\""}], ",", 
        RowBox[{"17", "\[Rule]", "\"\<-\>\""}], ",", 
        RowBox[{"18", "\[Rule]", "\"\<b\>\""}], ",", 
        RowBox[{"19", "\[Rule]", "\"\<*\>\""}], ",", 
        RowBox[{"20", "\[Rule]", "\"\<*\>\""}], ",", 
        RowBox[{"21", "\[Rule]", "\"\<e\>\""}], ",", 
        RowBox[{"22", "\[Rule]", "\"\<f\>\""}], ",", 
        RowBox[{"23", "\[Rule]", "\"\<4\>\""}], ",", 
        RowBox[{"24", "\[Rule]", "\"\<2\>\""}], ",", 
        RowBox[{"25", "\[Rule]", "\"\<c\>\""}], ",", 
        RowBox[{"26", "\[Rule]", "\"\<3\>\""}], ",", 
        RowBox[{"27", "\[Rule]", "\"\<d\>\""}]}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"vertex", ",", 
     RowBox[{"Length", "[", "Orden", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{3.815224565128193*^9, 3.8152246722964363`*^9, 
  3.81522595421541*^9, 3.8152269804436064`*^9, 3.8152318037614737`*^9, 
  3.815233323604039*^9, 3.815233362618999*^9},
 CellLabel->"In[22]:=",ExpressionUUID->"b6a35e0a-37f4-42ab-a59f-05d294d02e55"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {8}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 
         10, VertexLabels -> {
          23 -> "4", 19 -> "*", 26 -> "3", 9 -> "*", 22 -> "f", 17 -> "-", 14 -> 
           "2", 5 -> "\[Divide]", 6 -> "a", 24 -> "2", 13 -> "-", 16 -> "c", 
           4 -> "-", 15 -> "a", 21 -> "e", 12 -> "\[Divide]", 20 -> "*", 18 -> 
           "b", 8 -> "3", 7 -> "-", 1 -> "+", 10 -> "*", 2 -> "+", 3 -> "+", 
           27 -> "d", 11 -> "g", 25 -> "c"}, 
         VertexShapeFunction -> {8 -> "Square"}, 
         VertexSize -> {8 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.4719601443879746, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5217388086430175, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.36799003609699366, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4177687003520365, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7359800721939873, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.7857587364490302, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.36799003609699366, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4177687003520365, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.103970108290981, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1537487725460238, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.839950180484968, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {14, 8}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          23 -> "4", 19 -> "*", 26 -> "3", 9 -> "*", 22 -> "f", 17 -> "-", 14 -> 
           "2", 5 -> "\[Divide]", 6 -> "a", 24 -> "2", 13 -> "-", 16 -> "c", 
           4 -> "-", 15 -> "a", 21 -> "e", 12 -> "\[Divide]", 20 -> "*", 18 -> 
           "b", 8 -> "3", 7 -> "-", 1 -> "+", 10 -> "*", 2 -> "+", 3 -> "+", 
           27 -> "d", 11 -> "g", 25 -> "c"}, 
         VertexShapeFunction -> {8 -> "Square", 14 -> "Square"}, 
         VertexSize -> {14 -> Medium, 8 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.4719601443879746, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5217388086430175, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.36799003609699366, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4177687003520365, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7359800721939873, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.7857587364490302, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.103970108290981, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1537487725460238, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.839950180484968, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {14, 15, 8}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          23 -> "4", 19 -> "*", 26 -> "3", 9 -> "*", 22 -> "f", 17 -> "-", 14 -> 
           "2", 5 -> "\[Divide]", 6 -> "a", 24 -> "2", 13 -> "-", 16 -> "c", 
           4 -> "-", 15 -> "a", 21 -> "e", 12 -> "\[Divide]", 20 -> "*", 18 -> 
           "b", 8 -> "3", 7 -> "-", 1 -> "+", 10 -> "*", 2 -> "+", 3 -> "+", 
           27 -> "d", 11 -> "g", 25 -> "c"}, 
         VertexShapeFunction -> {
          8 -> "Square", 14 -> "Square", 15 -> "Square"}, 
         VertexSize -> {14 -> Medium, 15 -> Medium, 8 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.4719601443879746, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5217388086430175, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.36799003609699366, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4177687003520365, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.7359800721939873, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.7857587364490302, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.839950180484968, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {14, 15, 9, 8}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          23 -> "4", 19 -> "*", 26 -> "3", 9 -> "*", 22 -> "f", 17 -> "-", 14 -> 
           "2", 5 -> "\[Divide]", 6 -> "a", 24 -> "2", 13 -> "-", 16 -> "c", 
           4 -> "-", 15 -> "a", 21 -> "e", 12 -> "\[Divide]", 20 -> "*", 18 -> 
           "b", 8 -> "3", 7 -> "-", 1 -> "+", 10 -> "*", 2 -> "+", 3 -> "+", 
           27 -> "d", 11 -> "g", 25 -> "c"}, 
         VertexShapeFunction -> {
          8 -> "Square", 14 -> "Square", 9 -> "Square", 15 -> "Square"}, 
         VertexSize -> {
          9 -> Medium, 14 -> Medium, 15 -> Medium, 8 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.4719601443879746, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5217388086430175, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.36799003609699366, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4177687003520365, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.839950180484968, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {8, 14, 4, 9, 15}, GraphHighlightStyle -> {"Thick"},
          ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          14 -> "Square", 15 -> "Square", 8 -> "Square", 4 -> "Square", 9 -> 
           "Square"}, 
         VertexSize -> {
          15 -> Medium, 14 -> Medium, 8 -> Medium, 9 -> Medium, 4 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.4719601443879746, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5217388086430175, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.839950180484968, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.889728844740011, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 8, 14, 4, 9, 15}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          14 -> "Square", 15 -> "Square", 8 -> "Square", 4 -> "Square", 9 -> 
           "Square", 16 -> "Square"}, 
         VertexSize -> {
          16 -> Medium, 15 -> Medium, 14 -> Medium, 8 -> Medium, 9 -> Medium, 
           4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.4719601443879746, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5217388086430175, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 0.}, 0.049778664255042834], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.257718880837005, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", Offset[{2, 2}, 
            {4.465659097418967, 0.049778664255042834}], ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 8, 22, 14, 4, 9, 15}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          14 -> "Square", 15 -> "Square", 8 -> "Square", 4 -> "Square", 9 -> 
           "Square", 22 -> "Square", 16 -> "Square"}, 
         VertexSize -> {
          16 -> Medium, 15 -> Medium, 14 -> Medium, 8 -> Medium, 22 -> Medium,
            9 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.4719601443879746, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5217388086430175, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 0.}, 0.049778664255042834], 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {2.993698953030992, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 8, 23, 22, 14, 4, 9, 15}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          14 -> "Square", 15 -> "Square", 8 -> "Square", 4 -> "Square", 9 -> 
           "Square", 23 -> "Square", 22 -> "Square", 16 -> "Square"}, 
         VertexSize -> {
          16 -> Medium, 15 -> Medium, 23 -> Medium, 14 -> Medium, 8 -> Medium,
            22 -> Medium, 9 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.4719601443879746, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5217388086430175, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 8, 23, 22, 14, 4, 9, 15, 17}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          14 -> "Square", 15 -> "Square", 17 -> "Square", 8 -> "Square", 4 -> 
           "Square", 9 -> "Square", 23 -> "Square", 22 -> "Square", 16 -> 
           "Square"}, 
         VertexSize -> {
          16 -> Medium, 15 -> Medium, 23 -> Medium, 14 -> Medium, 8 -> Medium,
            22 -> Medium, 9 -> Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.4719601443879746, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5217388086430175, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.207940216581962, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.257718880837005, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", Offset[{2, 2}, 
            {3.729679025224979, 1.521738808643017}], ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 8, 23, 22, 14, 4, 9, 10, 15, 17}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 8 -> 
           "Square", 4 -> "Square", 9 -> "Square", 23 -> "Square", 22 -> 
           "Square", 16 -> "Square"}, 
         VertexSize -> {
          16 -> Medium, 15 -> Medium, 23 -> Medium, 14 -> Medium, 10 -> 
           Medium, 8 -> Medium, 22 -> Medium, 9 -> Medium, 17 -> Medium, 4 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.4719601443879746, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5217388086430175, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.9439202887759492, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {2.993698953030992, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 11, 8, 23, 22, 14, 4, 9, 10, 15, 17}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 9 -> "Square", 23 -> 
           "Square", 22 -> "Square", 16 -> "Square"}, 
         VertexSize -> {
          16 -> Medium, 15 -> Medium, 11 -> Medium, 23 -> Medium, 14 -> 
           Medium, 10 -> Medium, 8 -> Medium, 22 -> Medium, 9 -> Medium, 17 -> 
           Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.4719601443879746, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5217388086430175, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5759302526789556, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.6257089169339984, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 11, 8, 23, 22, 14, 4, 9, 10, 5, 15, 17}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 9 -> "Square", 23 -> 
           "Square", 22 -> "Square", 16 -> "Square", 5 -> "Square"}, 
         VertexSize -> {
          5 -> Medium, 16 -> Medium, 15 -> Medium, 11 -> Medium, 23 -> Medium,
            14 -> Medium, 10 -> Medium, 8 -> Medium, 22 -> Medium, 9 -> 
           Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.4719601443879746, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5217388086430175, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 11, 8, 23, 22, 14, 4, 9, 10, 5, 15, 17, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 9 -> 
           "Square", 23 -> "Square", 22 -> "Square", 16 -> "Square", 5 -> 
           "Square"}, 
         VertexSize -> {
          5 -> Medium, 2 -> Medium, 16 -> Medium, 15 -> Medium, 11 -> Medium, 
           23 -> Medium, 14 -> Medium, 10 -> Medium, 8 -> Medium, 22 -> 
           Medium, 9 -> Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.097669061321973, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 14, 4, 9, 10, 5, 15, 17, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 6 -> 
           "Square", 9 -> "Square", 23 -> "Square", 22 -> "Square", 16 -> 
           "Square", 5 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 5 -> Medium, 2 -> Medium, 16 -> Medium, 15 -> Medium, 
           11 -> Medium, 23 -> Medium, 14 -> Medium, 10 -> Medium, 8 -> 
           Medium, 22 -> Medium, 9 -> Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.3119103248729425, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.3616889891279853, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 14, 4, 9, 10, 5, 15, 17, 18, 
          2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 6 -> 
           "Square", 18 -> "Square", 9 -> "Square", 23 -> "Square", 22 -> 
           "Square", 16 -> "Square", 5 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 18 -> Medium, 5 -> Medium, 2 -> Medium, 16 -> Medium, 
           15 -> Medium, 11 -> Medium, 23 -> Medium, 14 -> Medium, 10 -> 
           Medium, 8 -> Medium, 22 -> Medium, 9 -> Medium, 17 -> Medium, 4 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 0.}, 0.049778664255042834], 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.729679025224979, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 14, 4, 9, 10, 5, 15, 17, 24, 
          18, 2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 6 -> 
           "Square", 18 -> "Square", 9 -> "Square", 23 -> "Square", 24 -> 
           "Square", 22 -> "Square", 16 -> "Square", 5 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 18 -> Medium, 5 -> Medium, 2 -> Medium, 16 -> Medium, 
           15 -> Medium, 11 -> Medium, 23 -> Medium, 14 -> Medium, 24 -> 
           Medium, 10 -> Medium, 8 -> Medium, 22 -> Medium, 9 -> Medium, 17 -> 
           Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", Offset[{2, 2}, 
            {2.649528259898354, 2.28153822380136}], ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 0.}, 0.049778664255042834], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.465659097418967, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 14, 4, 9, 25, 10, 5, 15, 17, 
          24, 18, 2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 6 -> 
           "Square", 18 -> "Square", 9 -> "Square", 23 -> "Square", 24 -> 
           "Square", 22 -> "Square", 16 -> "Square", 5 -> "Square", 25 -> 
           "Square"}, 
         VertexSize -> {
          6 -> Medium, 18 -> Medium, 5 -> Medium, 25 -> Medium, 2 -> Medium, 
           16 -> Medium, 15 -> Medium, 11 -> Medium, 23 -> Medium, 14 -> 
           Medium, 24 -> Medium, 10 -> Medium, 8 -> Medium, 22 -> Medium, 9 -> 
           Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.04789039706693, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.097669061321973, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 14, 4, 9, 25, 10, 5, 19, 15, 
          17, 24, 18, 2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 
         10, VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 6 -> 
           "Square", 19 -> "Square", 18 -> "Square", 9 -> "Square", 23 -> 
           "Square", 24 -> "Square", 22 -> "Square", 16 -> "Square", 5 -> 
           "Square", 25 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 18 -> Medium, 5 -> Medium, 25 -> Medium, 2 -> Medium, 
           16 -> Medium, 15 -> Medium, 11 -> Medium, 23 -> Medium, 14 -> 
           Medium, 24 -> Medium, 10 -> Medium, 8 -> Medium, 19 -> Medium, 22 -> 
           Medium, 9 -> Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.679900360969936, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.729679025224979, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 14, 4, 9, 25, 10, 5, 19, 15, 
          17, 12, 24, 18, 2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 
         10, VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 6 -> 
           "Square", 19 -> "Square", 18 -> "Square", 12 -> "Square", 9 -> 
           "Square", 23 -> "Square", 24 -> "Square", 22 -> "Square", 16 -> 
           "Square", 5 -> "Square", 25 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 5 -> Medium, 25 -> Medium, 
           2 -> Medium, 16 -> Medium, 15 -> Medium, 11 -> Medium, 23 -> 
           Medium, 14 -> Medium, 24 -> Medium, 10 -> Medium, 8 -> Medium, 19 -> 
           Medium, 22 -> Medium, 9 -> Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, 
             {1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.151860505357911, 0.}, 0.049778664255042834], 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.201639169612954, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 14, 26, 4, 9, 25, 10, 5, 19, 
          15, 17, 12, 24, 18, 2}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 6 -> 
           "Square", 19 -> "Square", 18 -> "Square", 12 -> "Square", 9 -> 
           "Square", 23 -> "Square", 24 -> "Square", 26 -> "Square", 22 -> 
           "Square", 16 -> "Square", 5 -> "Square", 25 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 5 -> Medium, 25 -> Medium, 
           2 -> Medium, 16 -> Medium, 15 -> Medium, 11 -> Medium, 23 -> 
           Medium, 14 -> Medium, 24 -> Medium, 26 -> Medium, 10 -> Medium, 8 -> 
           Medium, 19 -> Medium, 22 -> Medium, 9 -> Medium, 17 -> Medium, 4 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.086921082893853, -0.06493942246405805}, \
{5.216799927821969, 0.06493942246405805}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.22545851257731, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 0.}, 0.049778664255042834], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.937619241806941, 0.049778664255042834}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 14, 26, 4, 9, 25, 10, 5, 19, 
          15, 17, 12, 24, 27, 18, 2}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 27 -> 
           "Square", 6 -> "Square", 19 -> "Square", 18 -> "Square", 12 -> 
           "Square", 9 -> "Square", 23 -> "Square", 24 -> "Square", 26 -> 
           "Square", 22 -> "Square", 16 -> "Square", 5 -> "Square", 25 -> 
           "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 5 -> Medium, 25 -> Medium, 
           2 -> Medium, 16 -> Medium, 15 -> Medium, 11 -> Medium, 23 -> 
           Medium, 14 -> Medium, 24 -> Medium, 26 -> Medium, 10 -> Medium, 8 -> 
           Medium, 19 -> Medium, 27 -> Medium, 22 -> Medium, 9 -> Medium, 17 -> 
           Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.519850541454905, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.569629205709948, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.086921082893853, -0.06493942246405805}, \
{5.216799927821969, 0.06493942246405805}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.22545851257731, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, -0.06493942246405805}, \
{5.952780000015957, 0.06493942246405805}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.961438584771297, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 8, 23, 22, 20, 14, 26, 4, 9, 25, 10, 5, 
          19, 15, 17, 12, 24, 27, 18, 2}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 27 -> 
           "Square", 20 -> "Square", 6 -> "Square", 19 -> "Square", 18 -> 
           "Square", 12 -> "Square", 9 -> "Square", 23 -> "Square", 24 -> 
           "Square", 26 -> "Square", 22 -> "Square", 16 -> "Square", 5 -> 
           "Square", 25 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 5 -> Medium, 25 -> Medium, 
           2 -> Medium, 20 -> Medium, 16 -> Medium, 15 -> Medium, 11 -> 
           Medium, 23 -> Medium, 14 -> Medium, 24 -> Medium, 26 -> Medium, 10 -> 
           Medium, 8 -> Medium, 19 -> Medium, 27 -> Medium, 22 -> Medium, 9 -> 
           Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.454911118990847, 0.6710406497299288}, \
{5.584789963918963, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.593448548674304, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{6.255830613648891, 0.7359800721939869}, 
            0.049778664255042834], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.305609277903934, 0.7857587364490297}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, 
             {2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.086921082893853, -0.06493942246405805}, \
{5.216799927821969, 0.06493942246405805}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.22545851257731, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, -0.06493942246405805}, \
{5.952780000015957, 0.06493942246405805}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.961438584771297, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 11, 21, 8, 23, 22, 20, 14, 26, 4, 9, 25, 10,
           5, 19, 15, 17, 12, 24, 27, 18, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 27 -> 
           "Square", 20 -> "Square", 6 -> "Square", 19 -> "Square", 18 -> 
           "Square", 12 -> "Square", 9 -> "Square", 23 -> "Square", 21 -> 
           "Square", 24 -> "Square", 26 -> "Square", 22 -> "Square", 16 -> 
           "Square", 5 -> "Square", 25 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 5 -> Medium, 25 -> Medium, 
           2 -> Medium, 20 -> Medium, 16 -> Medium, 15 -> Medium, 11 -> 
           Medium, 23 -> Medium, 14 -> Medium, 24 -> Medium, 26 -> Medium, 10 -> 
           Medium, 8 -> Medium, 21 -> Medium, 19 -> Medium, 27 -> Medium, 22 -> 
           Medium, 9 -> Medium, 17 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, 
             {2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, 
             {3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{5.8878405775518985, 1.4719601443879742}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.937619241806941, 1.521738808643017}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, 
             {2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.454911118990847, 0.6710406497299288}, \
{5.584789963918963, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.593448548674304, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{6.190891191184833, 0.6710406497299288}, \
{6.3207700361129495, 0.8009194946580449}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.32942862086829, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.086921082893853, -0.06493942246405805}, \
{5.216799927821969, 0.06493942246405805}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.22545851257731, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, -0.06493942246405805}, \
{5.952780000015957, 0.06493942246405805}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.961438584771297, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 13, 11, 21, 8, 23, 22, 20, 14, 26, 4, 9, 25,
           10, 5, 19, 15, 17, 12, 24, 27, 18, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 27 -> 
           "Square", 20 -> "Square", 6 -> "Square", 19 -> "Square", 18 -> 
           "Square", 12 -> "Square", 9 -> "Square", 13 -> "Square", 23 -> 
           "Square", 21 -> "Square", 24 -> "Square", 26 -> "Square", 22 -> 
           "Square", 16 -> "Square", 5 -> "Square", 25 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 5 -> Medium, 25 -> Medium, 
           2 -> Medium, 20 -> Medium, 16 -> Medium, 15 -> Medium, 11 -> 
           Medium, 23 -> Medium, 14 -> Medium, 24 -> Medium, 26 -> Medium, 10 -> 
           Medium, 8 -> Medium, 21 -> Medium, 19 -> Medium, 27 -> Medium, 22 -> 
           Medium, 9 -> Medium, 17 -> Medium, 13 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.7838704692609175, 2.2079402165819615}, 
            0.049778664255042834], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.83364913351596, 2.2577188808370043}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, 1.4070207219239161}, \
{5.952780000015957, 1.5368995668520322}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.961438584771297, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.454911118990847, 0.6710406497299288}, \
{5.584789963918963, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.593448548674304, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{6.190891191184833, 0.6710406497299288}, \
{6.3207700361129495, 0.8009194946580449}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.32942862086829, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.086921082893853, -0.06493942246405805}, \
{5.216799927821969, 0.06493942246405805}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.22545851257731, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, -0.06493942246405805}, \
{5.952780000015957, 0.06493942246405805}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.961438584771297, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 13, 11, 21, 8, 23, 22, 7, 20, 14, 26, 4, 9, 
          25, 10, 5, 19, 15, 17, 12, 24, 27, 18, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 7 -> "Square", 8 -> "Square", 4 -> "Square", 2 -> 
           "Square", 27 -> "Square", 20 -> "Square", 6 -> "Square", 19 -> 
           "Square", 18 -> "Square", 12 -> "Square", 9 -> "Square", 13 -> 
           "Square", 23 -> "Square", 21 -> "Square", 24 -> "Square", 26 -> 
           "Square", 22 -> "Square", 16 -> "Square", 5 -> "Square", 25 -> 
           "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 5 -> Medium, 25 -> Medium, 
           2 -> Medium, 20 -> Medium, 16 -> Medium, 15 -> Medium, 7 -> Medium,
            11 -> Medium, 23 -> Medium, 14 -> Medium, 24 -> Medium, 26 -> 
           Medium, 10 -> Medium, 8 -> Medium, 21 -> Medium, 19 -> Medium, 27 -> 
           Medium, 22 -> Medium, 9 -> Medium, 17 -> Medium, 13 -> Medium, 4 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{4.415880433163924, 2.943920288775949}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.465659097418967, 2.9936989530309916}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.718931046796859, 2.1430007941179032}, \
{4.848809891724976, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.857468476480316, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, 
             {3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, 1.4070207219239161}, \
{5.952780000015957, 1.5368995668520322}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.961438584771297, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.454911118990847, 0.6710406497299288}, \
{5.584789963918963, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.593448548674304, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{6.190891191184833, 0.6710406497299288}, \
{6.3207700361129495, 0.8009194946580449}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.32942862086829, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.086921082893853, -0.06493942246405805}, \
{5.216799927821969, 0.06493942246405805}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.22545851257731, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, -0.06493942246405805}, \
{5.952780000015957, 0.06493942246405805}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.961438584771297, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 13, 11, 21, 8, 23, 22, 7, 20, 14, 26, 4, 9, 
          25, 10, 5, 19, 15, 17, 12, 24, 27, 3, 18, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 27 -> "Square", 20 -> "Square", 6 -> 
           "Square", 19 -> "Square", 18 -> "Square", 12 -> "Square", 9 -> 
           "Square", 13 -> "Square", 23 -> "Square", 21 -> "Square", 24 -> 
           "Square", 26 -> "Square", 22 -> "Square", 16 -> "Square", 5 -> 
           "Square", 25 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 3 -> Medium, 5 -> Medium, 
           25 -> Medium, 2 -> Medium, 20 -> Medium, 16 -> Medium, 15 -> 
           Medium, 7 -> Medium, 11 -> Medium, 23 -> Medium, 14 -> Medium, 24 -> 
           Medium, 26 -> Medium, 10 -> Medium, 8 -> Medium, 21 -> Medium, 19 -> 
           Medium, 27 -> Medium, 22 -> Medium, 9 -> Medium, 17 -> Medium, 13 -> 
           Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.9439202887759492, 3.679900360969936}, 
            0.049778664255042834], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.993698953030992, 3.729679025224979}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.718931046796859, 2.1430007941179032}, \
{4.848809891724976, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.857468476480316, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, \
{0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, 1.4070207219239161}, \
{5.952780000015957, 1.5368995668520322}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.961438584771297, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.454911118990847, 0.6710406497299288}, \
{5.584789963918963, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.593448548674304, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{6.190891191184833, 0.6710406497299288}, \
{6.3207700361129495, 0.8009194946580449}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.32942862086829, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.086921082893853, -0.06493942246405805}, \
{5.216799927821969, 0.06493942246405805}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.22545851257731, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{5.82290115508784, -0.06493942246405805}, \
{5.952780000015957, 0.06493942246405805}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.961438584771297, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
        19, 20, 21, 22, 23, 24, 25, 26, 27}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {5, 10}, {5, 11}, {7, 12}, {7, 13}, {9, 14}, {9, 15}, {10, 16}, {
         10, 17}, {12, 18}, {12, 19}, {13, 20}, {13, 21}, {17, 22}, {17, 
         23}, {19, 24}, {19, 25}, {20, 26}, {20, 27}}}, {
        GraphHighlight -> {16, 6, 13, 11, 21, 8, 23, 22, 7, 20, 14, 1, 26, 4, 
          9, 25, 10, 5, 19, 15, 17, 12, 24, 27, 3, 18, 2}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "3", 12 -> "\[Divide]", 22 -> "f", 14 -> "2", 2 -> "+", 13 -> 
           "-", 20 -> "*", 21 -> "e", 18 -> "b", 25 -> "c", 5 -> "\[Divide]", 
           7 -> "-", 9 -> "*", 17 -> "-", 19 -> "*", 16 -> "c", 26 -> "3", 23 -> 
           "4", 11 -> "g", 6 -> "a", 1 -> "+", 15 -> "a", 3 -> "+", 4 -> "-", 
           24 -> "2", 10 -> "*", 27 -> "d"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 27 -> "Square", 20 -> "Square", 6 -> 
           "Square", 19 -> "Square", 18 -> "Square", 1 -> "Square", 12 -> 
           "Square", 9 -> "Square", 13 -> "Square", 23 -> "Square", 21 -> 
           "Square", 24 -> "Square", 26 -> "Square", 22 -> "Square", 16 -> 
           "Square", 5 -> "Square", 25 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 18 -> Medium, 3 -> Medium, 5 -> Medium, 
           25 -> Medium, 2 -> Medium, 20 -> Medium, 16 -> Medium, 15 -> 
           Medium, 7 -> Medium, 11 -> Medium, 23 -> Medium, 14 -> Medium, 24 -> 
           Medium, 26 -> Medium, 10 -> Medium, 8 -> Medium, 21 -> Medium, 19 -> 
           Medium, 27 -> Medium, 22 -> Medium, 1 -> Medium, 9 -> Medium, 17 -> 
           Medium, 13 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGCQAmImKN4wbZKIWi+7Q7TN9pn5BbwOEP53+/VQcXR5lo+5
/XdWCjqgyqOrv27PDFbHiCF/y5khqHE2iwNMHt28mcdV9LgMBXDK50tt/7BO
SdgB1XyEfQxQsA5qL3b3PLeHyWN3D6MDLnlYeMDk0d0DCydc8hD94g6o7kO4
B+beNVBxdHmI+z7C5dHdC7H/L055mH9g8ujubX2pcv1UHRdOeVj8oLoP4R/X
XM/NwSJiOOWlDtwu/cEqCZdHdw8LWjyiy8PCHyaP7h6Ye3HJw9ITTB7dvRD7
RHDKw/wDkwcATAxN8g==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 3.614960938505878}, \
{3.0088597112400075, 3.7448397834339944}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 3.7534983681893346}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.4070207219239166, 2.8789808663118905}, \
{1.5368995668520327, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.5455581516073733, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, 2.8789808663118905}, \
{4.480819855627982, 3.008859711240007}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {4.489478440383323, 3.0175182959953473}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 2.1430007941179032}, \
{0.4329294585610517, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 2.1430007941179032}, \
{2.640869675143014, 2.2728796390460198}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {2.649528259898354, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 2.1430007941179032}, \
{4.1128298195309885, 2.2728796390460198}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {4.121488404286329, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.718931046796859, 2.1430007941179032}, \
{4.848809891724976, 2.2728796390460198}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {4.857468476480316, 2.28153822380136}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.06493942246405805, 1.4070207219239161}, \
{0.06493942246405805, 1.5368995668520322}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {0.07359800721939865, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.6710406497299293, 1.4070207219239161}, 
             {0.8009194946580454, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.809578079413386, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, 1.4070207219239161}, \
{2.27287963904602, 1.5368995668520322}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, 1.4070207219239161}, \
{3.0088597112400075, 1.5368995668520322}]}, 
           InsetBox["\<\"g\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, 1.4070207219239161}, \
{3.7448397834339944, 1.5368995668520322}]}, 
           InsetBox["\<\"\[Divide]\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, 1.4070207219239161}, \
{5.952780000015957, 1.5368995668520322}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {5.961438584771297, 1.5455581516073729}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3030506136329356, 0.6710406497299288}, \
{0.4329294585610517, 0.8009194946580449}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {0.4415880433163923, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.039030685826923, 0.6710406497299288}, \
{1.168909530755039, 0.8009194946580449}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {1.1775681155103797, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.77501075802091, 0.6710406497299288}, \
{1.904889602949026, 0.8009194946580449}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.9135481877043667, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.5109908302148973, 0.6710406497299288}, \
{2.640869675143014, 0.8009194946580449}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.649528259898354, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.246970902408884, 0.6710406497299288}, \
{3.3768497473370007, 0.8009194946580449}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.385508332092341, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.982950974602872, 0.6710406497299288}, \
{4.1128298195309885, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {4.121488404286329, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.454911118990847, 0.6710406497299288}, \
{5.584789963918963, 0.8009194946580449}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {5.593448548674304, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{6.190891191184833, 0.6710406497299288}, \
{6.3207700361129495, 0.8009194946580449}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {6.32942862086829, 0.8095780794133856}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.1430007941179037, -0.06493942246405805}, \
{2.27287963904602, 0.06493942246405805}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {2.2815382238013604, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.878980866311891, -0.06493942246405805}, \
{3.0088597112400075, 0.06493942246405805}]}, 
           InsetBox["\<\"4\"\>", 
            Offset[{2, 2}, {3.0175182959953477, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.614960938505878, -0.06493942246405805}, \
{3.7448397834339944, 0.06493942246405805}]}, 
           InsetBox["\<\"2\"\>", 
            Offset[{2, 2}, {3.7534983681893346, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{4.350941010699866, -0.06493942246405805}, \
{4.480819855627982, 0.06493942246405805}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {4.489478440383323, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.086921082893853, -0.06493942246405805}, \
{5.216799927821969, 0.06493942246405805}]}, 
           InsetBox["\<\"3\"\>", 
            Offset[{2, 2}, {5.22545851257731, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{5.82290115508784, -0.06493942246405805}, \
{5.952780000015957, 0.06493942246405805}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {5.961438584771297, 0.07359800721939865}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{3.8152338495589004`*^9, 3.8152342373674946`*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"1bc366a2-2be0-48fd-85f4-86fd11973fbf"]
}, Open  ]]
},
WindowSize->{949., 472.5},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"f018f67b-f20f-4ac3-8050-e1512bde8bbf"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 63, "Input",ExpressionUUID->"cfefd564-2c30-411d-bc5b-fe0aeb4fd85d"],
Cell[CellGroupData[{
Cell[785, 27, 6844, 159, 948, "Input",ExpressionUUID->"563edcf2-7c7c-4cb0-9f96-dadeaeae265d"],
Cell[7632, 188, 8807, 191, 546, "Output",ExpressionUUID->"9bd6bb0e-f0a8-4413-a883-1b8bc2ef8e2b"],
Cell[16442, 381, 321, 4, 72, "Output",ExpressionUUID->"e24210b6-3792-4ac6-bbd2-2a4a690d238b"],
Cell[16766, 387, 323, 4, 96, "Output",ExpressionUUID->"a2745bff-b3bc-474a-b1cd-354fed229da9"]
}, Open  ]],
Cell[17104, 394, 160, 3, 75, "Text",ExpressionUUID->"0985737c-2a19-4fba-9149-c38ea5c56305"],
Cell[CellGroupData[{
Cell[17289, 401, 2967, 59, 636, "Input",ExpressionUUID->"19133873-bc73-4590-af8d-4920a0208213"],
Cell[20259, 462, 309590, 6193, 4649, "Output",ExpressionUUID->"90e6e5ff-37a6-447a-97fb-e6e4c58c96c2"]
}, Open  ]],
Cell[329864, 6658, 207, 4, 75, "Text",ExpressionUUID->"809fa507-0d7a-437d-9e9e-03e034a5d0d7"],
Cell[CellGroupData[{
Cell[330096, 6666, 2905, 58, 636, "Input",ExpressionUUID->"b6a35e0a-37f4-42ab-a59f-05d294d02e55"],
Cell[333004, 6726, 310984, 6248, 8932, "Output",ExpressionUUID->"1bc366a2-2be0-48fd-85f4-86fd11973fbf"]
}, Open  ]]
}
]
*)

